using System.Xml.Serialization;

namespace Hncore.Pass.PaymentCenter.WeiFuTong.QrPay
{
    [XmlRoot("xml", Namespace = "")]
    public class QrPayCreateOrderResponse : WeiFuTongResponseBase
    {
        /// <summary>
        /// 商户可用此参数自定义去生成二维码后展示出来进行扫码支付
        /// </summary>
        [XmlElement("code_url")] 
        public string CodeUrl { get; set; }
        
        /// <summary>
        /// 此参数的值即是根据code_url生成的可以扫码支付的二维码图片地址
        /// </summary>
        [XmlElement("code_img_url")]
        public string CodeImgUrl { get; set; }
    }
}